#ifndef OPENSCAM_TPL_FUNCTION_H
#define OPENSCAM_TPL_FUNCTION_H

#include <cbang/SmartPointer.h>

#include "Interpreter.h"
#include "Arguments.h"
#include "type/Value.h"

#include <vector>


namespace OpenSCAM {
  namespace TPL {
    class Function {
    public:
      virtual ~Function() {}

      virtual cb::SmartPointer<Value>
      call(Context &ctx, const Arguments &args) = 0;
    };
  }
}

#endif // OPENSCAM_TPL_FUNCTION_H

