#ifndef OPENSCAM_TPL_AST_H
#define OPENSCAM_TPL_AST_H

#include "ASTNode.h"
#include "AssignStmt.h"
#include "BinaryExpr.h"
#include "BlockStmt.h"
#include "BreakStmt.h"
#include "CallExpr.h"
#include "CaseStmt.h"
#include "Constant.h"
#include "ConstantDecl.h"
#include "ContinueStmt.h"
#include "Declaration.h"
#include "DoStmt.h"
#include "Expression.h"
#include "ExpressionStmt.h"
#include "ForStmt.h"
#include "FunctionDecl.h"
#include "IfStmt.h"
#include "ImportDecl.h"
#include "Name.h"
#include "NamespaceDecl.h"
#include "Program.h"
#include "QuotedExpr.h"
#include "ReturnStmt.h"
#include "SliceExpr.h"
#include "Statement.h"
#include "SwitchStmt.h"
#include "UnaryExpr.h"
#include "VariableDecl.h"
#include "VariableExpr.h"
#include "VectorExpr.h"
#include "WhileStmt.h"

#endif // OPENSCAM_TPL_AST_H
