#ifndef OPENSCAM_TPL_BLOCK_STMT_H
#define OPENSCAM_TPL_BLOCK_STMT_H

#include "Statement.h"

#include <cbang/SmartPointer.h>

#include <vector>


namespace OpenSCAM {
  namespace TPL {
    class BlockStmt :
      public Statement, public std::vector<cb::SmartPointer<ASTNode> >  {
    public:
      BlockStmt(TPLID type = TPLID_BLOCK) : Statement(type) {}

      // From ASTNode
      OPENSCAM_TPL_AST_NODE_VISITORS;
    };
  }
}

#endif // OPENSCAM_TPL_BLOCK_STMT_H

