#include "BuiltinFunction.h"

#include <openscam/tpl/Lexer.h>
#include <openscam/tpl/Parser.h>
#include <openscam/tpl/Loader.h>

using namespace std;
using namespace cb;
using namespace OpenSCAM::TPL;


BuiltinFunction::BuiltinFunction(const string &name, const string &args) :
  FunctionDecl(name, new Environment) {

  // Parse argument specification
  Scanner scanner(InputSource(args.c_str(), args.length()));
  Lexer lexer(scanner);
  setVariableArgs(Parser(getEnvironment(), 0).arguments(lexer, *this));
}
