#ifndef OPENSCAM_TPL_BUILTIN_FUNCTION_H
#define OPENSCAM_TPL_BUILTIN_FUNCTION_H

#include "../ast/FunctionDecl.h"


namespace OpenSCAM {
  namespace TPL {
    class BuiltinFunction : public FunctionDecl {
    public:
      BuiltinFunction(const std::string &name, const std::string &args);

      // From Function
      cb::SmartPointer<Value> call(Context &ctx, const Arguments &args) = 0;
    };
  }
}

#endif // OPENSCAM_TPL_BUILTIN_FUNCTION_H

