#ifndef OPENSCAM_TPL_GCODE_LIBRARY_H
#define OPENSCAM_TPL_GCODE_LIBRARY_H

#include <openscam/tpl/Module.h>


namespace OpenSCAM {
  namespace TPL {
    class GCodeLibrary : public Module {
    public:
      GCodeLibrary();

      OPENSCAM_TPL_DEFINE_FUNC(imperial);
      OPENSCAM_TPL_DEFINE_FUNC(metric);
      OPENSCAM_TPL_DEFINE_FUNC(rapid);
      OPENSCAM_TPL_DEFINE_FUNC(cut);
      OPENSCAM_TPL_DEFINE_FUNC(arc);
      OPENSCAM_TPL_DEFINE_FUNC(dwell);
      OPENSCAM_TPL_DEFINE_FUNC(plane);
      OPENSCAM_TPL_DEFINE_FUNC(tool);
      OPENSCAM_TPL_DEFINE_FUNC(feed);
      OPENSCAM_TPL_DEFINE_FUNC(speed);
      OPENSCAM_TPL_DEFINE_FUNC(spindle);
      OPENSCAM_TPL_DEFINE_FUNC(coolant);
      OPENSCAM_TPL_DEFINE_FUNC(gcode);
      // TODO Add absolute(), coordiate_system(), end(), etc.
    };
  }
}

#endif // OPENSCAM_TPL_GCODE_LIBRARY_H

