#ifndef OPENSCAM_TPL_SMART_STACK_FRAME_H
#define OPENSCAM_TPL_SMART_STACK_FRAME_H

#include "Context.h"
#include "type/VectorValue.h"


namespace OpenSCAM {
  namespace TPL {
    class SmartStackFrame {
      Context &ctx;

    public:
      SmartStackFrame(Context &ctx, const Environment &env) : ctx(ctx)
      {ctx.pushEnv(env);}
      ~SmartStackFrame() {ctx.popEnv();}
    };
  }
}

#endif // OPENSCAM_TPL_SMART_STACK_FRAME_H

