#ifndef OPENSCAM_TPL_ASTVISITOR_H
#define OPENSCAM_TPL_ASTVISITOR_H

#include <cbang/Exception.h>


namespace OpenSCAM {
  namespace TPL {
#define OPENSCAM_TPL_AST(name) class name;
#include "AST.def"
#undef OPENSCAM_TPL_AST

    class ASTVisitor {
    public:
      void notYetImplemented() const
      {THROW("Not yet implemented in ASTVisitor");}

#define OPENSCAM_TPL_AST(name) virtual void visit(name &) {notYetImplemented();}
#include "AST.def"
#undef OPENSCAM_TPL_AST
    };
  }
}

#endif // OPENSCAM_TPL_ASTVISITOR_H

