#ifndef OPENSCAM_TPL_PROGRAM_H
#define OPENSCAM_TPL_PROGRAM_H

#include "ASTVisitor.h"
#include "BlockStmt.h"


namespace OpenSCAM {
  namespace TPL {
    class Program : public BlockStmt {
    public:
      Program() : BlockStmt(TPLID_PROGRAM) {}

      // From ASTNode
      OPENSCAM_TPL_AST_NODE_VISITORS;
    };
  }
}

#endif // OPENSCAM_TPL_PROGRAM_H

