#ifndef OPENSCAM_TPL_STDLIBRARY_H
#define OPENSCAM_TPL_STDLIBRARY_H

#include <openscam/tpl/Module.h>


namespace OpenSCAM {
  namespace TPL {
    class STDLibrary : public Module {
    public:
      STDLibrary();

      OPENSCAM_TPL_DEFINE_FUNC(size);

      OPENSCAM_TPL_DEFINE_FUNC(to_bool);
      OPENSCAM_TPL_DEFINE_FUNC(to_integer);
      OPENSCAM_TPL_DEFINE_FUNC(to_float);
      OPENSCAM_TPL_DEFINE_FUNC(to_string);

      OPENSCAM_TPL_DEFINE_FUNC(is_null);
      OPENSCAM_TPL_DEFINE_FUNC(is_bool);
      OPENSCAM_TPL_DEFINE_FUNC(is_number);
      OPENSCAM_TPL_DEFINE_FUNC(is_integer);
      OPENSCAM_TPL_DEFINE_FUNC(is_float);
      OPENSCAM_TPL_DEFINE_FUNC(is_string);
      OPENSCAM_TPL_DEFINE_FUNC(is_vector);

      OPENSCAM_TPL_DEFINE_FUNC(printf);
    };
  }
}

#endif // OPENSCAM_TPL_STDLIBRARY_H

