#include "StringValue.h"

#include <cbang/Exception.h>

using namespace cb;
using namespace OpenSCAM::TPL;


bool StringValue::equal(const Value &value) const {
  if (value.getType() == TPLID_NULL) return this->value.empty();

  if (value.getType() != TPLID_STRING)
    THROWS("Cannot compare string to " << value.getType());

  return this->value == value.toString();
}
